PUT /api/v202302/place/{placeId}/watticsSite

Links or unlinks a place to/from a SmartAnalytics (Wattics) site

EditWatticsSiteLinkV202302 Permissions: BuildingsAndOrganizations (Edit)
Use this endpoint to associate a place with a SmartAnalytics site for real-time monitoring integration. Returns 200 with link details if linked, 204 if unlinked (null site ID provided), or 409 if the site is already linked to another place.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
placeId Unique numeric identifier of the place (must be a structure/site) integer (int32) Required

Request Body

WatticsSiteRequest
Property Description Type
watticsSiteId The identifier for a SmartAnalytics (Wattics) site Set to null to remove the link Required (defined) integer (int32)
Example Request Body application/json
{  "watticsSiteId": 1
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

WatticsSite
Property Description Type
watticsSiteId The identifier for a SmartAnalytics (Wattics) site integer (int32)
Example Response application/json
{  "watticsSiteId": 1
}
204 No Content The request succeeded. No content is returned in the response body.

Response Body Parameters

OkObjectResult
Property Description Type
contentTypes Required (defined) string[]
declaredType Required (defined) string
formatters Required (defined) IOutputFormatter[]
statusCode Required (defined) integer (int32)
value Required (defined) object
Example Response application/json
{  "contentTypes": [
    "string"
  ],  "declaredType": "string",  "formatters": [
    {}
  ],  "statusCode": 1,  "value": {}
}